ClawOps Docs
API Reference

받아쓰기 사전 수정

PATCH
/v1/accounts/{accountId}/dictionaries/{dictionaryId}

사전 이름을 변경하거나 기본 사전으로 지정합니다.

isDefault: true 를 보내면 기존 기본 사전을 해제하고 이 사전을 기본으로 지정합니다(계정당 1개). isDefault: false 로 기본을 직접 해제하는 것은 지원하지 않습니다 — 다른 사전을 기본으로 지정하면 자동 해제됩니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

계정 ID

dictionaryId*string

사전 ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/accounts/AC1a2b3c4d/dictionaries/clx9dict0001" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "clx9dict0001",
  "name": "우리 회사 용어",
  "isDefault": true,
  "itemCount": 12,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}